@import "../../colors.scss";

.loadingModal {
  background-color: transparent !important;
  box-shadow: none !important;
}

.modal {
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border: none;
  color: $white;
  background-color: $accent;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  padding: 1.5rem;

  & > div {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  p {
    margin-bottom: 5px;
    text-align: center;
  }

  input {
    background-color: $secondary;
    border: solid 2px $accentDark;
    padding: 5px;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    color: $white;
    font-family: "JetBrainsMono-Light", monospace;
    font-size: 1rem;
    width: 300px;
  }

  .buttons {
    display: flex;
    column-gap: 2rem;
    margin-top: 10px;
  }

  button {
    padding: 0.65rem 1rem;
    border: none;
    font-size: 1rem;
    cursor: pointer;
    font-family: inherit;
    transition: 0.3s;
    border: 2px solid $green;
    position: relative;
    color: $green;
    background-color: transparent;

    &:hover {
      background-color: $green;
      color: $primary;
    }
  }
}

.modal::backdrop {
  background-color: black;
  opacity: 0.3;
}
